Bug 10661 - Pump does not work anymore on eth1
Summary: Pump does not work anymore on eth1
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 9042
TreeView+ depends on / blocked
 
Reported: 2000-04-08 16:47 UTC by Stelian Pop
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-27 20:31:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stelian Pop 2000-04-08 16:47:25 UTC
I have two ethernet interfaces: eth0 is connected to my local net, with
a static address. eth1 is connected to a cable modem (cybercable french
ISP), which uses dhcp.

Back to RedHat 6.1, pump worked but the system locked every time
I ifdown-ed the interface (but only after 8 hours of activity, so I
guess that had someting to do with the address renewal). I solved that
problem at the time by installing a rawhide version of pump (too bad
I don't remember the version).

After upgrading to RedHat 6.2, pump does not activate the interface
anymore. It just give up after 2 or 3 minutes.

I enabled the debug messages in syslog.conf and I got:

Apr  7 21:16:51 deep-space-9 ifup: Determining IP information for eth1...
Apr  7 21:16:51 deep-space-9 pumpd[328]: starting at (uptime 0 days,
0:00:29) Fri Apr  7 21:16:51 2000
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: opcode: 1
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: hwlength: 6
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: id: 0x6505777b
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: flags: 0x0000
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: yiaddr: 0.0.0.0
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: bootp_gw_ip: 0.0.0.0
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: servername:
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: vendor: 0x63 0x53 0x82 0x63
Apr  7 21:16:51 deep-space-9 pumpd[328]: breq: vendor: 0xff
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: opcode: 1
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: hwlength: 6
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: id: 0x6505775d
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: flags: 0x0000
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: yiaddr: 0.0.0.0
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: bootp_gw_ip: 0.0.0.0
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: servername:
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: vendor: 0x63 0x53 0x82 0x63
Apr  7 21:17:21 deep-space-9 pumpd[328]: breq: vendor: 0xff
Apr  7 21:17:51 deep-space-9 ifup: Operation failed.
Apr  7 21:17:51 deep-space-9 ifup:  failed.
Apr  7 21:17:51 deep-space-9 network: Bringing up interface eth1 failed

I'm not sure what other kind of information I could give to you,
but feel free to contact me if necessary.

I found a bugzilla item concerning pump and cybercable, maybe the
two problems are related?

For instance, I changed ifup/ifdown to use dhcpcd and it works.

Stelian.

Comment 1 Erik Troan 2000-08-03 16:25:22 UTC
Please try the pump in rawhide -- this should now be fixed.


Note You need to log in before you can comment on or make changes to this bug.